Package skyview.geometry.csys

# Class Besselian

java.lang.Object
skyview.geometry.CoordinateSystem
skyview.geometry.csys.Besselian

All Implemented Interfaces:
  `Serializable`, `Component`

public class Besselian extends CoordinateSystem implements Component
This class implements Besselian coordinate systems. These systems are not simple rotations from the reference coordinate frame. These coordinate systems are implemented such that the rotation matrix is appropriate for J2000 coordinates but the rectify and derectify function perform transformation from/to Besselian coordinates. The transformations do not use any proper motion or distance information supplied by the user. The methods in this class are based on P. Wallaces SLA library substantially modified for use within Java and SkyView.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.geometry.CoordinateSystem

`B1950, Gal, ICRS, J2000`

## Constructor Summary

Constructors
Constructor
Description
`Besselian(double epoch)`
Get a CoordinateSystem of a given epoch.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.
`Rotater`
`getRotater()`
Get the rotation associated with the projection.
`SphereDistorter`
`getSphereDistorter()`
Get the distortion associated with the projection.
`boolean`
`isRotation()`
This coordinate system is not just a rotation away from the reference frame.

### Methods inherited from class skyview.geometry.CoordinateSystem

`factory, factory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Besselian

public Besselian(double epoch)
Get a CoordinateSystem of a given epoch.

Parameters:
  `epoch` - The epoch as a calendar year (possibly fractional).

## Method Details

### isRotation

public boolean isRotation()
This coordinate system is not just a rotation away from the reference frame.

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

Specified by:
  `getName` in interface `Component`

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

Specified by:
  `getDescription` in interface `Component`

### getRotater

public Rotater getRotater()
Description copied from class: `CoordinateSystem`
Get the rotation associated with the projection.

Specified by:
  `getRotater` in class `CoordinateSystem`

### getSphereDistorter

public SphereDistorter getSphereDistorter()
Description copied from class: `CoordinateSystem`
Get the distortion associated with the projection. By default there is no distortion, but subclasses, notably BesselianProjection, can override this.

Overrides:
  `getSphereDistorter` in class `CoordinateSystem`